Skip to main content
POST
/
api
/
v2.1
/
fintrans
/
{accountId}
/
types
/
{operationType}
/
prepare
Prepare financial operation
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/types/{operationType}/prepare \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: <user-agent>' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "sourceAccount": {
    "walletId": "00000000-0000-0000-0000-000000000000"
  },
  "target": {
    "iban": "LT601010012345678901",
    "name": "John Customer"
  },
  "amount": {
    "value": "100000",
    "currency": "EUR",
    "scale": 2
  },
  "currency": "EUR",
  "type": "INTERNAL",
  "consent": {
    "consentReference": "00000000-0000-0000-0000-000000000000"
  },
  "description": "Internal funding transfer"
}
'

Headers

X-Tenant-ID
string
required

Tenant identifier

Example:

"test_tenant"

X-Forwarded-For
string
required

Client IP address

Example:

"127.0.0.1"

X-Forwarded-From
string
required

Client application identifier

Example:

"playground-client"

platform
string
required

Client platform

Example:

"playground-api"

deviceId
string
required

Device identifier

Example:

"playground-device"

User-Agent
string
required
Example:

"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36"

Path Parameters

accountId
string
required
operationType
string
required

Body

application/json
sourceAccount
object
target
object
amount
object
currency
string
type
string
description
string

Response

200

OK